be.fgov.ehealth.ehbox.consultation.protocol.v3

## Class Row

- java.lang.Object
- - be.fgov.ehealth.ehbox.consultation.protocol.v3.Row

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:44:14+01:00",
                 comments="JAXB RI v2.3.7")
      public class Row
      extends Object
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Recipient" type="{urn:be:fgov:ehealth:ehbox:core:v3}EhboxIdentifierType"/>
               <element name="Published" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
               <element name="Received" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
               <element name="Read" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Row()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.joda.time.DateTime` | `getPublished()` Gets the value of the published property.
    `org.joda.time.DateTime` | `getRead()` Gets the value of the read property.
    `org.joda.time.DateTime` | `getReceived()` Gets the value of the received property.
    `EhboxIdentifierType` | `getRecipient()` Gets the value of the recipient property.
    `void` | `setPublished(org.joda.time.DateTime value)` Sets the value of the published property.
    `void` | `setRead(org.joda.time.DateTime value)` Sets the value of the read property.
    `void` | `setReceived(org.joda.time.DateTime value)` Sets the value of the received property.
    `void` | `setRecipient(EhboxIdentifierType value)` Sets the value of the recipient property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Row

          public Row()

  - ### Method Detail

    - #### getRecipient

          public EhboxIdentifierType getRecipient()

      Gets the value of the recipient property.
      Returns:
        possible object is `EhboxIdentifierType`

    - #### setRecipient

          public void setRecipient(EhboxIdentifierType value)

      Sets the value of the recipient property.
      Parameters:
        `value` - allowed object is `EhboxIdentifierType`

    - #### getPublished

          public org.joda.time.DateTime getPublished()

      Gets the value of the published property.
      Returns:
        possible object is `String`

    - #### setPublished

          public void setPublished(org.joda.time.DateTime value)

      Sets the value of the published property.
      Parameters:
        `value` - allowed object is `String`

    - #### getReceived

          public org.joda.time.DateTime getReceived()

      Gets the value of the received property.
      Returns:
        possible object is `String`

    - #### setReceived

          public void setReceived(org.joda.time.DateTime value)

      Sets the value of the received property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRead

          public org.joda.time.DateTime getRead()

      Gets the value of the read property.
      Returns:
        possible object is `String`

    - #### setRead

          public void setRead(org.joda.time.DateTime value)

      Sets the value of the read property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.